import Vue from 'vue'
import Vuex from 'vuex'
import user from './modules/user'
import persistedState from 'vuex-persistedstate'
Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    user
  },
  plugins: [persistedState({ storage: window.sessionStorage })]
})

export default store
